package org.artisanlogiciel.games;

import java.util.LinkedList;

/**
 * MazeResolutionListener used as interface between resolver and (mostly) GUI
 **/
public interface MazeResolutionListener
{

    public boolean notifySearch(DirectionPosition pPosition);

    public void notifySearchError(String error);

    public void notifyCompletion(LinkedList<DirectionPosition> solvedPath);

}
